<?php
/**
 * @author QuanticaLabs - http://codecanyon.net/user/QuanticaLabs/portfolio?ref=QuanticaLabs
 *
 * @link			http://codecanyon.net/item/timetable-responsive-schedule-for-joomla/9749539?ref=QuanticaLabs
 * @copyright		Copyright (C) 2008 - 2014 quanticalabs.com . All rights reserved.
 * @license			GNU General Public License version 2 or later; see LICENSE under Licensing/ directory
 */
 
defined('_JEXEC') or die('Restricted access');

 
jimport('joomla.form.formfield');
 
class JFormFieldEvent_hours extends JFormField {
 
        protected $type = 'event_hours';
 
		public function getLabel() {
			return "";
        }
		
        public function getInput() {
			ob_start();
			?>
			<span class="color_preview"></span>
			<input class="regular-text color" type="text" id="<?php echo $this->id; ?>" name="<?php echo $this->title; ?>" data-default-color="transparent" value="<?php echo $this->value;?>">
			<?php 
			if(!empty($this->description)) {
				?>
				<span class="description"><?php echo JText::_($this->description); ?></span>
				<?php
			}
			return ob_get_clean();
        }
}